org.red5.server.jmx.mxbeans

## Interface ContextLoaderMXBean

All Superinterfaces:
  ShutdownMXBean

All Known Implementing Classes:
  ContextLoader

    @MXBean
    public interface ContextLoaderMXBean
    extends ShutdownMXBean

Red5 applications loader

### Method Summary

Methods
`String` `getContextsConfig()`
`void` `init()`
`void` `loadContext(String name, String config)`
`void` `setContextsConfig(String contextsConfig)`
`void` `setParentContext(String parentContextKey, String appContextId)`
`void` `shutdown()`
`void` `unloadContext(String name)`

### Method Detail

#### setContextsConfig

    void setContextsConfig(String contextsConfig)

#### init

    void init()
              throws Exception

Throws:
  `Exception`

#### shutdown

    void shutdown()

Specified by:
  `shutdown` in interface `ShutdownMXBean`

#### setParentContext

    void setParentContext(String parentContextKey,
                        String appContextId)

#### getContextsConfig

    String getContextsConfig()

#### loadContext

    void loadContext(String name,
                   String config)

#### unloadContext

    void unloadContext(String name)